define( function () {
	var FuncProc = {
		toast: function ( msg ) {
			$( '#toast' )
				.html( msg )
				.fadeIn( 'slow' );
		},

		toastHide: function () {
			$( '#toast' )
				.delay( 500 )
				.fadeOut( 'slow' );
		},
		addBackButton: function () {
			$( '#backButtonHolder' )
				.html( '<button id="backButton" class="btn btn-primary btn-sm"><span class="ion-chevron-left"></span>&nbsp</button>' );

			$( '#backButton' )
				.on( 'click', function () {
					$( this )
						.remove();
					window.history.back();
				} )

		},
		removeBackButton: function () {
			var hasBackButton = $( '#backButton' )
				.length;
			if ( hasBackButton !== 0 ) {
				$( '#backButton' )
					.remove();
			}
		},
		checkConnection: function () {
			if ( navigator.network.connection.type ) {
				if ( navigator.network.connection.type == Connection.NONE ) {
					window.alert( 'An internet connection is required', 'No network connection', 'Ok', null );
					return false;
				} else {
					return true;
				}
			}
		}
	};
	return FuncProc;
} );