define( function ( require ) {

  var $ = require( 'jquery' );
  var _ = require( 'underscore' );
  var AboutFooterTemplate = require( 'text!templates/common/AboutFooterTemplate.html' );

  var AboutFooterView = Backbone.View.extend( {
    el: $( "#footer-container" ),
    render: function () {
      this.$el.html( AboutFooterTemplate );
    }
  } );

  return AboutFooterView;

} );