define( function ( require ) {

  var $ = require( 'jquery' ),
    _ = require( 'underscore' ),
    funcProc = require( 'funcproc' ),
    ContactUsTemplate = require( 'text!templates/contactus/ContactUsTemplate.html' );
  var ContactusView = Backbone.View.extend( {
    el: $( "#content" ),

    render: function () {
      this.$el.html( ContactUsTemplate );
      var mapOptions = {
        center: new google.maps.LatLng( 14.593146, 121.057695 ),
        zoom: 16,
        mapTypeId: google.maps.MapTypeId.ROADMAP
      };
      var map = new google.maps.Map( document.getElementById( "map" ), mapOptions );
      var marker = new google.maps.Marker( {
        position: new google.maps.LatLng( 14.593146, 121.057695 ),
        map: map,
        title: "This is a marker!",
        animation: google.maps.Animation.DROP
      } );
    }

  } );

  return ContactusView;

} );