define( function ( require ) {

  var $ = require( 'jquery' ),
    _ = require( 'underscore' ),
    funcProc = require( 'funcproc' ),
    JoborderSearchTemplate = require( 'text!templates/joborders/JoborderSearchTemplate.html' );

  var JoborderSearchView = Backbone.View.extend( {
    el: $( "#content" ),

    initialize: function ( options ) {
      this.options = options || {};
      this.listenTo( this.model, "change", this.render );
    },
    render: function () {
      funcProc.addBackButton();
      var compiledTemplate = _.template( JoborderSearchTemplate, {
        results: this.model.attributes,
        search: this.options
      } );
      this.$el.html( '' )
      this.$el.html( compiledTemplate );
    }
  } );

  return JoborderSearchView;
} );