define(function(require) {

    var $ = require('jquery'),
        _ = require('underscore'),
        funcProc = require('funcproc'),
        AgencyJoborderTemplate = require('text!templates/agencies/AgencyJoborderTemplate.html');

    var AgencyJoborderView = Backbone.View.extend({
        el: $("#content"),
        initialize: function(options) {
            this.options = options || {};
            this.listenTo(this.model, "change", this.render);
        },
        render: function() {
            funcProc.addBackButton();
            var compiledTemplate = _.template(AgencyJoborderTemplate, {
                results: this.model.attributes,
                search: this.options
            });
            this.$el.html(compiledTemplate);
        }
    });

    return AgencyJoborderView;
});