define( function ( require ) {

  var $ = require( 'jquery' );
  var _ = require( 'underscore' );
  var AboutHeaderTemplate = require( 'text!templates/common/AboutHeaderTemplate.html' );

  var AboutHeaderView = Backbone.View.extend( {
    el: $( "#header" ),
    render: function () {
      this.$el.html( AboutHeaderTemplate );
    }
  } );

  return AboutHeaderView;

} );